<?php

namespace Drupal\media_parent_entity_link;

/**
 * Class InitialSettingsService.
 *
 * Providing some initial settings for the module, to avoid hardcoding and in
 * .module file and allow for easier extending to other formatters and sources
 */
class InitialSettingsService {

  /**
   * @var array of field formatter plugin ids
   */
  protected $formatters = ['image', 'responsive_image'];

  /**
   * @var array of media sources
   */
  protected $mediasources = ['image'];

  /**
   * Constructs a new InitialSettingsService object.
   */
  public function __construct() {

  }

  /**
   * @return array
   */
  public function getFormatters() {
    return $this->formatters;
  }

  /**
   * @return array
   */
  public function getMediasources() {
    return $this->mediasources;
  }

}
